Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class Character

    java.lang.Object
      |
      +--java.lang.Character

public final synchronized class Character
extends Object
implements java.io.Serializable, Comparable

See Also:
  Serialized Form

Inner Class Summary
`static class` | `Character.Subset`
`static class` | `Character.UnicodeBlock`

Field Summary
`static byte` | `COMBINING_SPACING_MARK`
`static byte` | `CONNECTOR_PUNCTUATION`
`static byte` | `CONTROL`
`static byte` | `CURRENCY_SYMBOL`
`static byte` | `DASH_PUNCTUATION`
`static byte` | `DECIMAL_DIGIT_NUMBER`
`static byte` | `ENCLOSING_MARK`
`static byte` | `END_PUNCTUATION`
`static byte` | `FORMAT`
`static byte` | `LETTER_NUMBER`
`static byte` | `LINE_SEPARATOR`
`static byte` | `LOWERCASE_LETTER`
`static byte` | `MATH_SYMBOL`
`static int` | `MAX_RADIX`
`static char` | `MAX_VALUE`
`static int` | `MIN_RADIX`
`static char` | `MIN_VALUE`
`static byte` | `MODIFIER_LETTER`
`static byte` | `MODIFIER_SYMBOL`
`static byte` | `NON_SPACING_MARK`
`static byte` | `OTHER_LETTER`
`static byte` | `OTHER_NUMBER`
`static byte` | `OTHER_PUNCTUATION`
`static byte` | `OTHER_SYMBOL`
`static byte` | `PARAGRAPH_SEPARATOR`
`static byte` | `PRIVATE_USE`
`static byte` | `SPACE_SEPARATOR`
`static byte` | `START_PUNCTUATION`
`static byte` | `SURROGATE`
`static byte` | `TITLECASE_LETTER`
`static Class` | `TYPE`
`static byte` | `UNASSIGNED`
`static byte` | `UPPERCASE_LETTER`

Constructor Summary
`Character(char)`

Method Summary
`char` | `charValue()`
`int` | `compareTo(Character)`
`int` | `compareTo(Object)`
`static int` | `digit(char, int)`
`boolean` | `equals(Object)`
`static char` | `forDigit(int, int)`
`static int` | `getNumericValue(char)`
`static int` | `getType(char)`
`int` | `hashCode()`
`static boolean` | `isDefined(char)`
`static boolean` | `isDigit(char)`
`static boolean` | `isIdentifierIgnorable(char)`
`static boolean` | `isISOControl(char)`
`static boolean` | `isJavaIdentifierPart(char)`
`static boolean` | `isJavaIdentifierStart(char)`
`static boolean` | `isJavaLetter(char)`
`static boolean` | `isJavaLetterOrDigit(char)`
`static boolean` | `isLetter(char)`
`static boolean` | `isLetterOrDigit(char)`
`static boolean` | `isLowerCase(char)`
`static boolean` | `isSpace(char)`
`static boolean` | `isSpaceChar(char)`
`static boolean` | `isTitleCase(char)`
`static boolean` | `isUnicodeIdentifierPart(char)`
`static boolean` | `isUnicodeIdentifierStart(char)`
`static boolean` | `isUpperCase(char)`
`static boolean` | `isWhitespace(char)`
`static char` | `toLowerCase(char)`
`String` | `toString()`
`static char` | `toTitleCase(char)`
`static char` | `toUpperCase(char)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MIN_RADIX

    public static final int MIN_RADIX

### MAX_RADIX

    public static final int MAX_RADIX

### MIN_VALUE

    public static final char MIN_VALUE

### MAX_VALUE

    public static final char MAX_VALUE

### TYPE

    public static final Class TYPE

### UNASSIGNED

    public static final byte UNASSIGNED

### UPPERCASE_LETTER

    public static final byte UPPERCASE_LETTER

### LOWERCASE_LETTER

    public static final byte LOWERCASE_LETTER

### TITLECASE_LETTER

    public static final byte TITLECASE_LETTER

### MODIFIER_LETTER

    public static final byte MODIFIER_LETTER

### OTHER_LETTER

    public static final byte OTHER_LETTER

### NON_SPACING_MARK

    public static final byte NON_SPACING_MARK

### ENCLOSING_MARK

    public static final byte ENCLOSING_MARK

### COMBINING_SPACING_MARK

    public static final byte COMBINING_SPACING_MARK

### DECIMAL_DIGIT_NUMBER

    public static final byte DECIMAL_DIGIT_NUMBER

### LETTER_NUMBER

    public static final byte LETTER_NUMBER

### OTHER_NUMBER

    public static final byte OTHER_NUMBER

### SPACE_SEPARATOR

    public static final byte SPACE_SEPARATOR

### LINE_SEPARATOR

    public static final byte LINE_SEPARATOR

### PARAGRAPH_SEPARATOR

    public static final byte PARAGRAPH_SEPARATOR

### CONTROL

    public static final byte CONTROL

### FORMAT

    public static final byte FORMAT

### PRIVATE_USE

    public static final byte PRIVATE_USE

### SURROGATE

    public static final byte SURROGATE

### DASH_PUNCTUATION

    public static final byte DASH_PUNCTUATION

### START_PUNCTUATION

    public static final byte START_PUNCTUATION

### END_PUNCTUATION

    public static final byte END_PUNCTUATION

### CONNECTOR_PUNCTUATION

    public static final byte CONNECTOR_PUNCTUATION

### OTHER_PUNCTUATION

    public static final byte OTHER_PUNCTUATION

### MATH_SYMBOL

    public static final byte MATH_SYMBOL

### CURRENCY_SYMBOL

    public static final byte CURRENCY_SYMBOL

### MODIFIER_SYMBOL

    public static final byte MODIFIER_SYMBOL

### OTHER_SYMBOL

    public static final byte OTHER_SYMBOL

Constructor Detail

### Character

    public Character(char)

Method Detail

### charValue

    public char charValue()

### compareTo

    public int compareTo(Character)

### compareTo

    public int compareTo(Object)

  Specified by:
    compareTo in interface Comparable

### digit

    public static int digit(char,
                            int)

### equals

    public boolean equals(Object)

  Overrides:
    equals in class Object

### forDigit

    public static char forDigit(int,
                                int)

### getNumericValue

    public static int getNumericValue(char)

### getType

    public static int getType(char)

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class Object

### isDefined

    public static boolean isDefined(char)

### isDigit

    public static boolean isDigit(char)

### isISOControl

    public static boolean isISOControl(char)

### isIdentifierIgnorable

    public static boolean isIdentifierIgnorable(char)

### isJavaIdentifierPart

    public static boolean isJavaIdentifierPart(char)

### isJavaIdentifierStart

    public static boolean isJavaIdentifierStart(char)

### isJavaLetter

    public static boolean isJavaLetter(char)

### isJavaLetterOrDigit

    public static boolean isJavaLetterOrDigit(char)

### isLetter

    public static boolean isLetter(char)

### isLetterOrDigit

    public static boolean isLetterOrDigit(char)

### isLowerCase

    public static boolean isLowerCase(char)

### isSpace

    public static boolean isSpace(char)

### isSpaceChar

    public static boolean isSpaceChar(char)

### isTitleCase

    public static boolean isTitleCase(char)

### isUnicodeIdentifierPart

    public static boolean isUnicodeIdentifierPart(char)

### isUnicodeIdentifierStart

    public static boolean isUnicodeIdentifierStart(char)

### isUpperCase

    public static boolean isUpperCase(char)

### isWhitespace

    public static boolean isWhitespace(char)

### toLowerCase

    public static char toLowerCase(char)

### toString

    public String toString()

  Overrides:
    toString in class Object

### toTitleCase

    public static char toTitleCase(char)

### toUpperCase

    public static char toUpperCase(char)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.